--- a/lib/locale/pl_PL.php
+++ b/lib/locale/pl_PL.php
@@ -1,12 +1,103 @@
 <?php
+
 $LANG['about.community'] = 'To jest wersja społecznościowa <b>Serwera Kolab</b>.';
 $LANG['about.kolab'] = 'Kolab';
 $LANG['about.kolabsys'] = 'Kolab Systems';
 $LANG['about.support'] = 'Profesjonalne wsparcie techniczne jest dostępne ze strony <a href="http://kolabsys.com">Kolab Systems</a>.';
 $LANG['about.technology'] = 'Technologia';
 $LANG['about.warranty'] = 'Oprogramowanie to dostarczane jest bez <b>żadnych gwarancji</b> ani wsparcia. Pomoc i niezbędne informacje można znaleźć na <a href=http://kolab.org">stronie społeczności</a> oraz <a href="http://wiki.kolab.org">wiki</a>.';
+
+$LANG['aci.new'] = 'Nowy...';
+$LANG['aci.edit'] = 'Edytuj...';
+$LANG['aci.remove'] = 'Usuń';
+$LANG['aci.users'] = 'Użytkownicy';
+$LANG['aci.rights'] = 'Uprawnienia';
+$LANG['aci.targets'] = 'Cele';
+$LANG['aci.aciname'] = 'Nazwa ACI:';
+$LANG['aci.hosts'] = 'Hosty';
+$LANG['aci.times'] = 'Czas';
+$LANG['aci.name'] = 'Nazwa';
+$LANG['aci.userid'] = 'ID użytkownika';
+$LANG['aci.email'] = 'E-mail';
+$LANG['aci.read'] = 'Odczyt';
+$LANG['aci.compare'] = 'Porównaj';
+$LANG['aci.search'] = 'Znajdź';
+$LANG['aci.write'] = 'Zapis';
+$LANG['aci.selfwrite'] = 'Zapis dla siebie';
+$LANG['aci.delete'] = 'Usuń';
+$LANG['aci.add'] = 'Dodaj';
+$LANG['aci.proxy'] = 'Proxy';
+$LANG['aci.all'] = 'Wszystkie prawa';
+$LANG['aci.allow'] = 'Pozwolenie';
+$LANG['aci.deny'] = 'Odmowa';
+$LANG['aci.typeusers'] = 'Użytkownicy';
+$LANG['aci.typegroups'] = 'Grupy';
+$LANG['aci.typeroles'] = 'Role';
+$LANG['aci.typeadmins'] = 'Administratorzy';
+$LANG['aci.typespecials'] = 'Uprawnienia specjalne';
+$LANG['aci.ldap-self'] = 'Ja';
+$LANG['aci.ldap-anyone'] = 'Wszyscy użytkownicy';
+$LANG['aci.ldap-all'] = 'Uwierzytelnieni użytkownicy';
+$LANG['aci.ldap-parent'] = 'Rodzic';
+$LANG['aci.usersearch'] = 'Szukaj wg:';
+$LANG['aci.usersearchresult'] = 'Wyniki wyszukiwania:';
+$LANG['aci.userselected'] = 'Wybrani użytkownicy/grupy/role:';
+$LANG['aci.useradd'] = 'Dodaj';
+$LANG['aci.userremove'] = 'Usuń';
+$LANG['aci.error.noname'] = 'Nazwa reguły ACI jest wymagana!';
+$LANG['aci.error.exists'] = 'Reguła ACI o podanej nazwie już istnieje!';
+$LANG['aci.error.nousers'] = 'Wymagany jest co najmniej jeden wpis użytkownika!';
+$LANG['aci.rights.target'] = 'Cel:';
+$LANG['aci.rights.filter'] = 'Filtr:';
+$LANG['aci.rights.attrs'] = 'Atrybuty:';
+$LANG['aci.checkall'] = 'Zaznacz wszystkie';
+$LANG['aci.checknone'] = 'Odznacz wszystkie';
+$LANG['aci.thisentry'] = 'Ten wpis';
+$LANG['aci.selected'] = 'wszystkie zaznaczone';
+$LANG['aci.other'] = 'wszystkie oprócz zaznaczonych';
+
+$LANG['acl.all'] = 'wszystkie';
+$LANG['acl.append'] = 'dodaj';
+$LANG['acl.custom'] = 'własne...';
+$LANG['acl.full'] = 'Pełne (bez kontroli dostępu)';
+$LANG['acl.post'] = 'wysyłanie';
+$LANG['acl.read'] = 'odczyt';
+$LANG['acl.read-only'] = 'Tylko-Odczyt';
+$LANG['acl.read-write'] = 'Odczyt/Zapis';
+$LANG['acl.semi-full'] = '';
+$LANG['acl.write'] = 'zapis';
+$LANG['acl.l'] = 'Podgląd';
+$LANG['acl.r'] = 'Odczyt wiadomości';
+$LANG['acl.s'] = 'Status przeczytania';
+$LANG['acl.w'] = 'Zapis flag';
+$LANG['acl.i'] = 'Tworzenie (kopiowanie do)';
+$LANG['acl.p'] = 'Wysyłka';
+$LANG['acl.c'] = 'Tworzenie pod-folderów';
+$LANG['acl.k'] = 'Tworzenie pod-folderów';
+$LANG['acl.d'] = 'Usuwanie wiadomości';
+$LANG['acl.t'] = 'Usuwanie wiadomości';
+$LANG['acl.e'] = 'Porządkowanie';
+$LANG['acl.x'] = 'Usuń folder';
+$LANG['acl.a'] = 'Administracja';
+$LANG['acl.n'] = 'Adnotacje wiadomości';
+$LANG['acl.identifier'] = 'Identyfikator';
+$LANG['acl.rights'] = 'Prawa dostępu';
+$LANG['acl.expire'] = 'Wygasa';
+$LANG['acl.user'] = 'Użytkownik...';
+$LANG['acl.anyone'] = 'Wszyscy użytkownicy (anyone)';
+$LANG['acl.anonymous'] = 'Goście (anonymous)';
+$LANG['acl.error.invaliddate'] = 'Błędny format daty!';
+$LANG['acl.error.norights'] = 'Nie zdefiniowano praw dostępu!';
+$LANG['acl.error.subjectexists'] = 'Prawa dostępu dla wybranego identyfikatora już istnieją!';
+$LANG['acl.error.nouser'] = 'Nie podano identyfikatora użytkownika!';
+
 $LANG['add'] = 'Dodaj';
+
+$LANG['api.notypeid'] = 'Nie podano identyfikatora typu obiektu!';
+$LANG['api.invalidtypeid'] = 'Błędny identyfikator typu obiektu!';
+
 $LANG['attribute.add'] = 'Dodaj atrybut';
+$LANG['attribute.default'] = 'Wartość domyślna';
 $LANG['attribute.static'] = 'Wartość stała';
 $LANG['attribute.name'] = 'Atrybut';
 $LANG['attribute.optional'] = 'Opcjonalny';
@@ -21,49 +112,78 @@
 $LANG['attribute.options'] = 'Opcje';
 $LANG['attribute.key.invalid'] = 'Klucz typu zawiera niedozwolone znaki!';
 $LANG['attribute.required.error'] = 'Pominięto wymagane atrybuty na liście atrybutów ($1)!';
+$LANG['attribute.validate'] = 'Spr. poprawności';
+$LANG['attribute.validate.default'] = 'domyślne';
+$LANG['attribute.validate.none'] = 'brak';
+$LANG['attribute.validate.basic'] = 'podstawowe';
+$LANG['attribute.validate.extended'] = 'rozszerzone';
+
 $LANG['button.cancel'] = 'Anuluj';
 $LANG['button.delete'] = 'Usuń';
+$LANG['button.ok'] = 'OK';
 $LANG['button.save'] = 'Zapisz';
 $LANG['button.submit'] = 'Zatwierdź';
+
 $LANG['creatorsname'] = 'Utworzony przez';
 $LANG['days'] = 'dni';
 $LANG['debug'] = 'Debug info';
 $LANG['delete'] = 'Usuń';
 $LANG['deleting'] = 'Usuwanie danych...';
+
 $LANG['domain.add'] = 'Dodaj domenę';
 $LANG['domain.add.success'] = 'Domena została dodana pomyślnie.';
 $LANG['domain.associateddomain'] = 'Nazwy domen';
+$LANG['domain.delete.confirm'] = 'Czy na pewno chcesz usunąć tą domenę?';
+$LANG['domain.delete.force'] = "Do tej domeny są przpisani użytkownicy.\nCzy na pewno chcesz usunąć tą domenę i wszystkie przypisane obiekty?";
 $LANG['domain.delete.success'] = 'Domena usunięta pomyślnie.';
 $LANG['domain.edit'] = 'Edytuj domenę';
 $LANG['domain.edit.success'] = 'Domena zostałą uaktualniona pomyślnie.';
-$LANG['domain.inetdomainbasedn'] = 'Niestandardowy Root DN';
+$LANG['domain.inetdomainbasedn'] = 'Własny Root DN';
+$LANG['domain.inetdomainstatus'] = 'Status';
 $LANG['domain.list'] = 'Lista domen';
 $LANG['domain.norecords'] = 'Nie znaleziono żadnej domeny!';
 $LANG['domain.o'] = 'Organizacja';
 $LANG['domain.other'] = 'Inne';
 $LANG['domain.system'] = 'System';
 $LANG['domain.type_id'] = 'Domena standardowa';
+
 $LANG['edit'] = 'Edytuj';
 $LANG['error'] = 'Błąd';
+
+$LANG['error.401'] = 'Nieupoważniony.';
+$LANG['error.403'] = 'Brak dostępu.';
+$LANG['error.404'] = 'Nie znaleziono obiektu.';
+$LANG['error.408'] = 'Upłynął limit czasu żądania.';
+$LANG['error.450'] = 'Domena nie jest pusta.';
+$LANG['error.500'] = 'Wewnętrzny błąd serwera.';
+$LANG['error.503'] = 'Usługa niedostępna. Spróbuj póżniej.';
+
 $LANG['form.required.empty'] = 'Niektóre z wymaganych pól są puste!';
 $LANG['form.maxcount.exceeded'] = 'Przekroczono maksymalną liczbę elementów!';
+
 $LANG['group.add'] = 'Dodaj grupę';
 $LANG['group.add.success'] = 'Grupa utworzona pomyślnie.';
 $LANG['group.cn'] = 'Nazwa typowa';
+$LANG['group.delete.confirm'] = 'Czy na pewno chcesz usunąć tą grupę?';
 $LANG['group.delete.success'] = 'Grupa usunięta pomyślnie.';
 $LANG['group.edit.success'] = 'Grupa zostałą zmieniona pomyślnie.';
 $LANG['group.gidnumber'] = 'Numer grupy głównej';
+$LANG['group.kolaballowsmtprecipient'] = 'Lista dostępu odbiorców';
+$LANG['group.kolaballowsmtpsender'] = 'Lista dostępu nadawców';
 $LANG['group.list'] = 'Lista grup';
 $LANG['group.mail'] = 'Główny adres e-mail';
 $LANG['group.member'] = 'Członkowie';
 $LANG['group.memberurl'] = 'URL członków';
 $LANG['group.norecords'] = 'Nie znaleziono żadnej grupy!';
 $LANG['group.other'] = 'Inne';
+$LANG['group.ou'] = 'Jednostka organizacyjna';
 $LANG['group.system'] = 'System';
 $LANG['group.type_id'] = 'Rodzaj grupy';
 $LANG['group.uniquemember'] = 'Członkowie';
+
 $LANG['info'] = 'Informacje';
 $LANG['internalerror'] = 'Wewnętrzny błąd systemu!';
+
 $LANG['ldap.one'] = '(one): wszystkie elementy jeden poziom od główej domeny (base DN)';
 $LANG['ldap.sub'] = '(sub): całe drzewo począwszy od głównej domeny (base DN)';
 $LANG['ldap.base'] = '(base): tylko główna domena (base DN)';
@@ -76,7 +196,9 @@
 $LANG['ldap.filter_prefix'] = 'rozpoczyna się od';
 $LANG['ldap.filter_suffix'] = 'kończy się na';
 $LANG['ldap.filter_exact'] = 'jest równa z';
+
 $LANG['list.records'] = '$1 do $2 z $3';
+
 $LANG['loading'] = 'Ładowanie...';
 $LANG['logout'] = 'Wyloguj';
 $LANG['login.username'] = 'Nazwa użytkownika:';
@@ -85,42 +207,72 @@
 $LANG['login.login'] = 'Zaloguj';
 $LANG['loginerror'] = 'Nieprawidłowa nazwa użytkownika lub hasło!';
 $LANG['MB'] = 'MB';
+
 $LANG['menu.about'] = 'O programie';
 $LANG['menu.domains'] = 'Domeny';
 $LANG['menu.groups'] = 'Grupy';
+$LANG['menu.ous'] = 'Jednostki';
 $LANG['menu.resources'] = 'Zasoby';
 $LANG['menu.roles'] = 'Role';
 $LANG['menu.settings'] = 'Ustawienia';
+$LANG['menu.sharedfolders'] = 'Foldery dzielone';
 $LANG['menu.users'] = 'Użytkownicy';
+
 $LANG['modifiersname'] = 'Zmodyfikowane przez';
 $LANG['password.generate'] = 'Generuj hasło';
 $LANG['reqtime'] = 'Czas żądania: $1 sek.';
+
+$LANG['ou.aci'] = 'Prawa dostępu';
+$LANG['ou.add'] = 'Dodaj jednostkę';
+$LANG['ou.add.success'] = 'Jednostka została utworzona pomyślnie.';
+$LANG['ou.ou'] = 'Nazwa';
+$LANG['ou.delete.confirm'] = 'Czy na pewno chcesz usunąć tą jednostkę organizacyjną?';
+$LANG['ou.delete.success'] = 'Jednostka została usunięta pomyślnie.';
+$LANG['ou.description'] = 'Opis';
+$LANG['ou.edit.success'] = 'Jednostka została zaktualizowana pomyślnie.';
+$LANG['ou.list'] = 'Lista jednostek organizacyjnych';
+$LANG['ou.norecords'] = 'Nie znaleziono żadnych jednostek organizacyjnych!';
+$LANG['ou.system'] = 'Szczegóły';
+$LANG['ou.type_id'] = 'Typ';
+$LANG['ou.base_dn'] = 'Jednostka nadrzędna';
+
+$LANG['resource.acl'] = 'Prawa dostępu';
 $LANG['resource.add'] = 'Dodaj zasób';
 $LANG['resource.add.success'] = 'Zasób został dodany pomyślnie.';
 $LANG['resource.cn'] = 'Nazwa';
 $LANG['resource.delete'] = 'Usuń zasób';
+$LANG['resource.delete.confirm'] = 'Czy na pewno chcesz usunąć ten zasób?';
 $LANG['resource.delete.success'] = 'Zasób został usunięty pomyślnie.';
 $LANG['resource.edit'] = 'Edytuj zasób';
 $LANG['resource.edit.success'] = 'Pomyślnie zmieniono zasób.';
 $LANG['resource.kolabtargetfolder'] = 'Folder docelowy';
+$LANG['resource.kolabinvitationpolicy'] = 'Polityka zaproszeń';
 $LANG['resource.list'] = 'Lista (kolekcja) zasobów';
 $LANG['resource.mail'] = 'Adres pocztowy';
 $LANG['resource.member'] = 'Członkowie kolekcji';
 $LANG['resource.norecords'] = 'Nie znaleziono żadnych zasobów!';
 $LANG['resource.other'] = 'Inne';
+$LANG['resource.ou'] = 'Jednostka organizacyjna';
 $LANG['resource.system'] = 'System';
 $LANG['resource.type_id'] = 'Rodzaj zasobu';
 $LANG['resource.uniquemember'] = 'Członkowie kolekcji';
+$LANG['resource.description'] = 'Opis';
+$LANG['resource.owner'] = 'Właściciel';
+
 $LANG['role.add'] = 'Dodaj rolę';
 $LANG['role.add.success'] = 'Rola została utworzna pomyślnie.';
 $LANG['role.cn'] = 'Nazwa roli';
+$LANG['role.delete.confirm'] = 'Czy na pewno chcesz usunąć tę rolę?';
 $LANG['role.delete.success'] = 'Rola została usunięta pomyślnie.';
 $LANG['role.description'] = 'Opis roli';
+$LANG['role.edit.success'] = 'Rola została zaktualizowana.';
 $LANG['role.list'] = 'Lista ról';
 $LANG['role.norecords'] = 'Nie znaleziono żadnej roli!';
 $LANG['role.system'] = 'Szczegóły';
 $LANG['role.type_id'] = 'Typ roli';
+
 $LANG['saving'] = 'Zapisywanie danych...';
+
 $LANG['search'] = 'Znajdź';
 $LANG['search.reset'] = 'Wyczyść';
 $LANG['search.criteria'] = 'Kryteria wyszukiwania';
@@ -136,8 +288,31 @@
 $LANG['search.uid'] = 'UID';
 $LANG['search.loading'] = 'Wyszukiwanie...';
 $LANG['search.acchars'] = 'Przynajmniej $min znaków wymaganych jest dla funkcji autouzupełniania';
+
 $LANG['servererror'] = 'Błąd serwera!';
+
 $LANG['session.expired'] = 'Sesja wygasła. Proszę zalogować się ponownie';
+
+$LANG['sharedfolder.acl'] = 'Prawa dostępu IMAP';
+$LANG['sharedfolder.add'] = 'Dodaj folder';
+$LANG['sharedfolder.add.success'] = 'Folder został utworzony.';
+$LANG['sharedfolder.alias'] = 'Dodatkowe adresy email';
+$LANG['sharedfolder.cn'] = 'Nazwa folderu';
+$LANG['sharedfolder.delete.confirm'] = 'Czy na pewno chcesz usunąć ten folder?';
+$LANG['sharedfolder.delete.success'] = 'Folder został usunięty.';
+$LANG['sharedfolder.edit'] = 'Edytuj folder';
+$LANG['sharedfolder.edit.success'] = 'Folder został zaktualizowany.';
+$LANG['sharedfolder.kolaballowsmtprecipient'] = 'Lista dostępu odbiorców';
+$LANG['sharedfolder.kolaballowsmtpsender'] = 'Lista dostępu nadawców';
+$LANG['sharedfolder.kolabdelegate'] = 'Delegaci';
+$LANG['sharedfolder.kolabtargetfolder'] = 'Docelowy folder IMAP';
+$LANG['sharedfolder.list'] = 'Lista folderów dzielonych';
+$LANG['sharedfolder.norecords'] = 'Nie znaleziono żadnych folderów dzielonych!';
+$LANG['sharedfolder.mail'] = 'Adres e-mail';
+$LANG['sharedfolder.other'] = 'Inne';
+$LANG['sharedfolder.system'] = 'System';
+$LANG['sharedfolder.type_id'] = 'Typ folderu';
+
 $LANG['signup.headline'] = 'Zapisz się do Hosted Kolab';
 $LANG['signup.intro1'] = 'Konto na serwerze Kolab to coś więcej niż zwykły Email. Konto takie zawiera pełną funkcjonalność oprogramowania do pracy grupowej łącznie z synchronizacją współdzielonych książek adresowych, kalendarzy, zadań, dzienników i nie tylko.';
 $LANG['signup.intro2'] = 'Tutaj możesz zapisać się na nowe konto.';
@@ -153,10 +328,12 @@
 $LANG['signup.wronguid'] = 'Błędna nazwa użytkownika!';
 $LANG['signup.wrongmailalternateaddress'] = 'Proszę wprowadzić poprawny adres email!';
 $LANG['signup.footer'] = 'Usługa ta jest oferowana przez <a href="http://kolabsys.com">Kolab Systems</a>.';
+
 $LANG['type.add'] = 'Dodaj typ obiektu';
 $LANG['type.add.success'] = 'Typ obiektu został utworzony pomyślnie.';
 $LANG['type.attributes'] = 'Atrybuty';
 $LANG['type.description'] = 'Opis';
+$LANG['type.delete.confirm'] = 'Czy na pewno chcesz usunąć ten typ obiektu?';
 $LANG['type.delete.success'] = 'Typ obiektu został usunięty pomyślnie.';
 $LANG['type.domain'] = 'Domena';
 $LANG['type.edit.success'] = 'Typ obiektu został zaktualizowany pomyślnie.';
@@ -167,11 +344,14 @@
 $LANG['type.norecords'] = 'Nie znaleziono żadnych typów obiektów!';
 $LANG['type.objectclass'] = 'Klasa obiektu';
 $LANG['type.object_type'] = 'Typ obiektu';
+$LANG['type.ou'] = 'Jednostka organizacyjna';
 $LANG['type.properties'] = 'Właściwości';
 $LANG['type.resource'] = 'Zasób';
 $LANG['type.role'] = 'Rola';
+$LANG['type.sharedfolder'] = 'Folder dzielony';
 $LANG['type.used_for'] = 'Hostowany';
 $LANG['type.user'] = 'Użytkownik';
+
 $LANG['user.add'] = 'Dodaj użytkownika';
 $LANG['user.add.success'] = 'Użytkownik został pomyślnie dodany.';
 $LANG['user.alias'] = 'Dodatkowe adresy email';
@@ -202,6 +382,7 @@
 $LANG['user.contact_info'] = 'Informacje kontaktowe';
 $LANG['user.country'] = 'Kraj';
 $LANG['user.country.desc'] = 'Dwuliterowy kod (ISO 3166-1)';
+$LANG['user.delete.confirm'] = 'Czy na pewno chcesz usunąć tego użytkownika?';
 $LANG['user.delete.success'] = 'Użytkownik usunięty pomyślnie';
 $LANG['user.displayname'] = 'Nazwa wyświetlana';
 $LANG['user.edit.success'] = 'Użytkownik został zmieniony pomyślnie.';
@@ -257,5 +438,7 @@
 $LANG['user.userpassword'] = 'Hasło';
 $LANG['user.userpassword2'] = 'Potwierdź hasło';
 $LANG['user.uidnumber'] = 'Numer ID użytkownika';
+
 $LANG['welcome'] = 'Witamy w Panelu Zarządzania Serwerem Kolab Groupware';
+
 $LANG['yes'] = 'tak';
--- a/lib/locale/pt_BR.php
+++ b/lib/locale/pt_BR.php
@@ -1,14 +1,107 @@
 <?php
+
 $LANG['about.community'] = 'Esta é a Edição Comunitária do <b>Kolab Server</b>';
 $LANG['about.kolab'] = 'Kolab';
 $LANG['about.kolabsys'] = 'Sistemas Kolab';
 $LANG['about.support'] = 'Suporte profissional está disponível a partir da <a href="http://kolabsys.com">Kolab Systems</a>.';
 $LANG['about.technology'] = 'Tecnologia ';
+$LANG['about.warranty'] = '';
+
+$LANG['aci.new'] = '';
+$LANG['aci.edit'] = '';
+$LANG['aci.remove'] = 'Remover';
+$LANG['aci.users'] = 'Usuários';
+$LANG['aci.rights'] = '';
+$LANG['aci.targets'] = '';
+$LANG['aci.aciname'] = '';
+$LANG['aci.hosts'] = '';
+$LANG['aci.times'] = '';
+$LANG['aci.name'] = 'Nome';
+$LANG['aci.userid'] = '';
+$LANG['aci.email'] = '';
+$LANG['aci.read'] = '';
+$LANG['aci.compare'] = '';
+$LANG['aci.search'] = 'Pesquisar';
+$LANG['aci.write'] = 'Gravar';
+$LANG['aci.selfwrite'] = '';
+$LANG['aci.delete'] = 'Deletar';
+$LANG['aci.add'] = 'Adicionar';
+$LANG['aci.proxy'] = '';
+$LANG['aci.all'] = '';
+$LANG['aci.allow'] = '';
+$LANG['aci.deny'] = '';
+$LANG['aci.typeusers'] = 'Usuários';
+$LANG['aci.typegroups'] = 'Grupos';
+$LANG['aci.typeroles'] = 'Papeis';
+$LANG['aci.typeadmins'] = '';
+$LANG['aci.typespecials'] = '';
+$LANG['aci.ldap-self'] = '';
+$LANG['aci.ldap-anyone'] = '';
+$LANG['aci.ldap-all'] = '';
+$LANG['aci.ldap-parent'] = '';
+$LANG['aci.usersearch'] = '';
+$LANG['aci.usersearchresult'] = '';
+$LANG['aci.userselected'] = '';
+$LANG['aci.useradd'] = 'Adicionar';
+$LANG['aci.userremove'] = 'Remover';
+$LANG['aci.error.noname'] = '';
+$LANG['aci.error.exists'] = '';
+$LANG['aci.error.nousers'] = '';
+$LANG['aci.rights.target'] = '';
+$LANG['aci.rights.filter'] = '';
+$LANG['aci.rights.attrs'] = '';
+$LANG['aci.checkall'] = '';
+$LANG['aci.checknone'] = '';
+$LANG['aci.thisentry'] = '';
+$LANG['aci.selected'] = '';
+$LANG['aci.other'] = '';
+
+$LANG['acl.all'] = '';
+$LANG['acl.append'] = '';
+$LANG['acl.custom'] = '';
+$LANG['acl.full'] = '';
+$LANG['acl.post'] = '';
+$LANG['acl.read'] = '';
+$LANG['acl.read-only'] = '';
+$LANG['acl.read-write'] = '';
+$LANG['acl.semi-full'] = '';
+$LANG['acl.write'] = '';
+$LANG['acl.l'] = '';
+$LANG['acl.r'] = '';
+$LANG['acl.s'] = '';
+$LANG['acl.w'] = '';
+$LANG['acl.i'] = '';
+$LANG['acl.p'] = '';
+$LANG['acl.c'] = '';
+$LANG['acl.k'] = '';
+$LANG['acl.d'] = '';
+$LANG['acl.t'] = '';
+$LANG['acl.e'] = '';
+$LANG['acl.x'] = 'Remover pasta';
+$LANG['acl.a'] = '';
+$LANG['acl.n'] = '';
+$LANG['acl.identifier'] = '';
+$LANG['acl.rights'] = '';
+$LANG['acl.expire'] = '';
+$LANG['acl.user'] = '';
+$LANG['acl.anyone'] = '';
+$LANG['acl.anonymous'] = '';
+$LANG['acl.error.invaliddate'] = '';
+$LANG['acl.error.norights'] = '';
+$LANG['acl.error.subjectexists'] = '';
+$LANG['acl.error.nouser'] = '';
+
 $LANG['add'] = 'Adicionar';
+
+$LANG['api.notypeid'] = '';
+$LANG['api.invalidtypeid'] = '';
+
 $LANG['attribute.add'] = 'Adicionar atributo';
+$LANG['attribute.default'] = '';
 $LANG['attribute.static'] = 'Valor estático';
 $LANG['attribute.name'] = 'Atributo';
 $LANG['attribute.optional'] = 'Opcional';
+$LANG['attribute.maxcount'] = '';
 $LANG['attribute.readonly'] = 'Somente leitura';
 $LANG['attribute.type'] = 'Tipo do campo';
 $LANG['attribute.value'] = 'Valor';
@@ -17,57 +110,95 @@
 $LANG['attribute.value.normal'] = 'Normal';
 $LANG['attribute.value.static'] = 'Estático';
 $LANG['attribute.options'] = 'Opções';
+$LANG['attribute.key.invalid'] = '';
+$LANG['attribute.required.error'] = '';
+$LANG['attribute.validate'] = '';
+$LANG['attribute.validate.default'] = '';
+$LANG['attribute.validate.none'] = '';
+$LANG['attribute.validate.basic'] = '';
+$LANG['attribute.validate.extended'] = '';
+
 $LANG['button.cancel'] = 'Cancelar';
 $LANG['button.delete'] = 'Deletar';
+$LANG['button.ok'] = '';
 $LANG['button.save'] = 'Salvar';
 $LANG['button.submit'] = 'Enviar';
+
 $LANG['creatorsname'] = 'Criado por';
 $LANG['days'] = 'dias';
 $LANG['debug'] = 'Informação do debug';
 $LANG['delete'] = 'Deletar';
 $LANG['deleting'] = 'Exclusão de dados...';
+
 $LANG['domain.add'] = 'Adicionar Domínio';
 $LANG['domain.add.success'] = 'Domínio criado com sucesso.';
 $LANG['domain.associateddomain'] = 'Nome(s) de domínio';
+$LANG['domain.delete.confirm'] = '';
+$LANG['domain.delete.force'] = "";
 $LANG['domain.delete.success'] = 'Domínio deletado com sucesso.';
 $LANG['domain.edit'] = 'Editar domínio';
 $LANG['domain.edit.success'] = 'Domínio alterado com sucesso.';
-$LANG['domain.inetdomainbasedn'] = 'Root DN(s) personalizado';
+$LANG['domain.inetdomainbasedn'] = '';
+$LANG['domain.inetdomainstatus'] = 'Situação';
 $LANG['domain.list'] = 'Lista de Domínios';
 $LANG['domain.norecords'] = 'Nenhum registro de domínio encontrado!';
 $LANG['domain.o'] = 'Organização';
 $LANG['domain.other'] = 'Outro';
 $LANG['domain.system'] = 'Sistema';
 $LANG['domain.type_id'] = 'Domínio padrão';
+
 $LANG['edit'] = 'Editar';
 $LANG['error'] = 'Erro';
+
+$LANG['error.401'] = '';
+$LANG['error.403'] = '';
+$LANG['error.404'] = '';
+$LANG['error.408'] = '';
+$LANG['error.450'] = '';
+$LANG['error.500'] = '';
+$LANG['error.503'] = '';
+
 $LANG['form.required.empty'] = 'Alguns dos campos obrigatórios estão vazios!';
 $LANG['form.maxcount.exceeded'] = 'Contagem máxima de itens excedido!';
+
 $LANG['group.add'] = 'Adicionar Grupo';
 $LANG['group.add.success'] = 'Grupo criado com sucesso.';
 $LANG['group.cn'] = 'Nome comum';
+$LANG['group.delete.confirm'] = '';
 $LANG['group.delete.success'] = 'Grupo deletado com sucesso.';
 $LANG['group.edit.success'] = 'Grupo alterado com sucesso.';
 $LANG['group.gidnumber'] = 'Numero do grupo principal';
+$LANG['group.kolaballowsmtprecipient'] = '';
+$LANG['group.kolaballowsmtpsender'] = '';
 $LANG['group.list'] = 'Lista de grupos';
 $LANG['group.mail'] = 'Endereço de e-mail principal';
 $LANG['group.member'] = 'Membro(s)';
 $LANG['group.memberurl'] = 'URL dos membros';
 $LANG['group.norecords'] = 'Não há registros de grupo encontrado!';
 $LANG['group.other'] = 'Outro';
+$LANG['group.ou'] = 'Unidade organizacional';
 $LANG['group.system'] = 'Sistema';
 $LANG['group.type_id'] = 'Tipo do grupo';
 $LANG['group.uniquemember'] = 'Membros';
+
 $LANG['info'] = 'Informação';
 $LANG['internalerror'] = 'Erro interno do sistema!';
+
+$LANG['ldap.one'] = '';
+$LANG['ldap.sub'] = '';
+$LANG['ldap.base'] = '';
+$LANG['ldap.basedn'] = '';
 $LANG['ldap.host'] = 'Servidor LDAP';
 $LANG['ldap.conditions'] = 'Condições';
 $LANG['ldap.scope'] = 'Escopo';
+$LANG['ldap.filter_any'] = '';
 $LANG['ldap.filter_both'] = 'contém';
 $LANG['ldap.filter_prefix'] = 'Começar com';
 $LANG['ldap.filter_suffix'] = 'Terminar com';
 $LANG['ldap.filter_exact'] = 'É igual a';
+
 $LANG['list.records'] = '$1 - $2 de $3';
+
 $LANG['loading'] = 'Carregando...';
 $LANG['logout'] = 'Deslogar';
 $LANG['login.username'] = 'Usuário:';
@@ -76,40 +207,72 @@
 $LANG['login.login'] = 'Usuário';
 $LANG['loginerror'] = 'O usuário ou senha estão incorretos!';
 $LANG['MB'] = 'MB';
+
 $LANG['menu.about'] = 'Sobre';
 $LANG['menu.domains'] = 'Domínios';
 $LANG['menu.groups'] = 'Grupos';
+$LANG['menu.ous'] = '';
 $LANG['menu.resources'] = 'Recursos';
 $LANG['menu.roles'] = 'Papeis';
 $LANG['menu.settings'] = 'Configurações';
+$LANG['menu.sharedfolders'] = '';
 $LANG['menu.users'] = 'Usuários';
+
 $LANG['modifiersname'] = 'Modificado por';
 $LANG['password.generate'] = 'Gerar senha';
 $LANG['reqtime'] = 'Tempo da requisição: $1 seg.';
+
+$LANG['ou.aci'] = '';
+$LANG['ou.add'] = '';
+$LANG['ou.add.success'] = '';
+$LANG['ou.ou'] = '';
+$LANG['ou.delete.confirm'] = '';
+$LANG['ou.delete.success'] = '';
+$LANG['ou.description'] = '';
+$LANG['ou.edit.success'] = '';
+$LANG['ou.list'] = '';
+$LANG['ou.norecords'] = '';
+$LANG['ou.system'] = 'Detalhes';
+$LANG['ou.type_id'] = '';
+$LANG['ou.base_dn'] = '';
+
+$LANG['resource.acl'] = '';
 $LANG['resource.add'] = 'Adicionar Recurso';
 $LANG['resource.add.success'] = 'Recurso criado com sucesso.';
 $LANG['resource.cn'] = 'Nome';
 $LANG['resource.delete'] = 'Deletar Recurso';
+$LANG['resource.delete.confirm'] = '';
 $LANG['resource.delete.success'] = 'Recurso deletado com sucesso.';
 $LANG['resource.edit'] = 'Editar Recurso';
+$LANG['resource.edit.success'] = '';
 $LANG['resource.kolabtargetfolder'] = 'Pasta de destino';
+$LANG['resource.kolabinvitationpolicy'] = '';
 $LANG['resource.list'] = 'Lista de Recursos ( Coleções ) ';
 $LANG['resource.mail'] = 'Endereço de e-mail';
 $LANG['resource.member'] = 'Membros da coleção';
+$LANG['resource.norecords'] = '';
 $LANG['resource.other'] = 'Outro';
+$LANG['resource.ou'] = 'Unidade organizacional';
 $LANG['resource.system'] = 'Sistema';
 $LANG['resource.type_id'] = 'Tipo do recurso';
 $LANG['resource.uniquemember'] = 'Membros da coleção';
+$LANG['resource.description'] = 'Descrição';
+$LANG['resource.owner'] = 'Dono';
+
 $LANG['role.add'] = 'Adicionar função';
 $LANG['role.add.success'] = 'Função criada com sucesso.';
 $LANG['role.cn'] = 'Nome da função';
+$LANG['role.delete.confirm'] = '';
 $LANG['role.delete.success'] = 'Função deletada com sucesso.';
 $LANG['role.description'] = 'Descrição da função';
+$LANG['role.edit.success'] = '';
 $LANG['role.list'] = 'Lista de papeis';
 $LANG['role.norecords'] = 'Nenhum papel encontrado!';
 $LANG['role.system'] = 'Detalhes';
 $LANG['role.type_id'] = 'Tipo da função';
+
 $LANG['saving'] = 'Salvando dados...';
+
 $LANG['search'] = 'Pesquisar';
 $LANG['search.reset'] = 'Redefinir';
 $LANG['search.criteria'] = 'Critério da pesquisa';
@@ -125,8 +288,31 @@
 $LANG['search.uid'] = 'UID';
 $LANG['search.loading'] = 'Pesquisando...';
 $LANG['search.acchars'] = 'Pelo menos $min caracteres necessários para autocompletar';
+
 $LANG['servererror'] = 'Erro no servidor!';
+
 $LANG['session.expired'] = 'Sessão foi expirada. Por favor, se autentique novamente';
+
+$LANG['sharedfolder.acl'] = '';
+$LANG['sharedfolder.add'] = '';
+$LANG['sharedfolder.add.success'] = '';
+$LANG['sharedfolder.alias'] = 'Endereço de e-mail secundário(s)';
+$LANG['sharedfolder.cn'] = '';
+$LANG['sharedfolder.delete.confirm'] = '';
+$LANG['sharedfolder.delete.success'] = '';
+$LANG['sharedfolder.edit'] = '';
+$LANG['sharedfolder.edit.success'] = '';
+$LANG['sharedfolder.kolaballowsmtprecipient'] = '';
+$LANG['sharedfolder.kolaballowsmtpsender'] = '';
+$LANG['sharedfolder.kolabdelegate'] = '';
+$LANG['sharedfolder.kolabtargetfolder'] = '';
+$LANG['sharedfolder.list'] = '';
+$LANG['sharedfolder.norecords'] = '';
+$LANG['sharedfolder.mail'] = 'Endereço de e-mail';
+$LANG['sharedfolder.other'] = 'Outro';
+$LANG['sharedfolder.system'] = 'Sistema';
+$LANG['sharedfolder.type_id'] = '';
+
 $LANG['signup.headline'] = 'Cadastra-se - Hosted Kolab';
 $LANG['signup.intro1'] = ' Ter uma conta em um servidor Kolab é muito melhor do que apenas um simples e-mail. Ele também fornece um completo grupo de funcionalidades incluindo sincronização para catálogos de endereços compartilhados, calendários, tarefas e muito mais.';
 $LANG['signup.intro2'] = 'Agora você pode cadastrar uma conta aqui.';
@@ -142,10 +328,12 @@
 $LANG['signup.wronguid'] = 'Usuário inválido!';
 $LANG['signup.wrongmailalternateaddress'] = 'Por favor forneça um endereço de e-mail válido.';
 $LANG['signup.footer'] = 'Esse é um serviço oferecido por  <a href="http://kolabsys.com">Kolab Systems</a>.';
+
 $LANG['type.add'] = 'Adicionar tipo do objeto';
 $LANG['type.add.success'] = 'Tipo do objeto foi criado com sucesso.';
 $LANG['type.attributes'] = 'Atributos';
 $LANG['type.description'] = 'Descrição';
+$LANG['type.delete.confirm'] = '';
 $LANG['type.delete.success'] = 'Tipo do objeto foi deletado com sucesso.';
 $LANG['type.domain'] = 'Domínio';
 $LANG['type.edit.success'] = 'Tipo do objeto foi alterado com sucesso.';
@@ -156,25 +344,36 @@
 $LANG['type.norecords'] = 'Nenhum registro de tipo de objeto foi encontrado.';
 $LANG['type.objectclass'] = 'Classe de objeto';
 $LANG['type.object_type'] = 'Tipo de objeto';
+$LANG['type.ou'] = 'Unidade organizacional';
 $LANG['type.properties'] = 'Propriedades';
 $LANG['type.resource'] = 'Recurso';
 $LANG['type.role'] = 'Papel';
+$LANG['type.sharedfolder'] = '';
+$LANG['type.used_for'] = '';
 $LANG['type.user'] = 'Usuário';
+
 $LANG['user.add'] = 'Adicionar usuário';
 $LANG['user.add.success'] = 'Usuário criado com sucesso.';
 $LANG['user.alias'] = 'Endereço de e-mail secundário(s)';
 $LANG['user.astaccountallowedcodec'] = 'Permitir codec(s)';
 $LANG['user.astaccountcallerid'] = 'ID do Visitante ';
 $LANG['user.astaccountcontext'] = 'Contexto de conta';
+$LANG['user.astaccountdefaultuser'] = '';
 $LANG['user.astaccountdeny'] = 'Conta negada';
 $LANG['user.astaccounthost'] = 'Servidor Asterisk';
 $LANG['user.astaccountmailbox'] = 'Caixa de e-mail';
+$LANG['user.astaccountnat'] = '';
 $LANG['user.astaccountname'] = 'Nome da conta do Asterisk';
 $LANG['user.astaccountqualify'] = 'Qualificações da conta';
+$LANG['user.astaccountrealmedpassword'] = '';
 $LANG['user.astaccountregistrationexten'] = 'Extensão';
+$LANG['user.astaccountregistrationcontext'] = '';
 $LANG['user.astaccountsecret'] = 'Senha em texto simples';
 $LANG['user.astaccounttype'] = 'Tipo de conta';
 $LANG['user.astcontext'] = 'Contexto do Asterisk';
+$LANG['user.asterisk'] = '';
+$LANG['user.astextension'] = '';
+$LANG['user.astvoicemailpassword'] = '';
 $LANG['user.c'] = 'País ';
 $LANG['user.city'] = 'Cidade';
 $LANG['user.cn'] = 'Nome comum';
@@ -182,23 +381,33 @@
 $LANG['user.contact'] = 'Contato';
 $LANG['user.contact_info'] = 'Informação do contato';
 $LANG['user.country'] = 'País';
+$LANG['user.country.desc'] = '';
+$LANG['user.delete.confirm'] = '';
 $LANG['user.delete.success'] = 'Usuário deletado com sucesso.';
 $LANG['user.displayname'] = 'Nome de exibição';
 $LANG['user.edit.success'] = 'Usuário alterado com sucesso.';
 $LANG['user.fax'] = 'Fax';
+$LANG['user.fbinterval'] = '';
 $LANG['user.fbinterval.desc'] = 'Deixar branco por padrão ( 60 dias )';
 $LANG['user.gidnumber'] = 'Numero do grupo principal';
+$LANG['user.givenname'] = '';
 $LANG['user.homedirectory'] = 'Diretório home';
 $LANG['user.homephone'] = 'Telefone residencial ';
 $LANG['user.initials'] = 'Iniciais';
 $LANG['user.invitation-policy'] = 'Política de convite';
+$LANG['user.kolaballowsmtprecipient'] = '';
+$LANG['user.kolaballowsmtpsender'] = '';
 $LANG['user.kolabdelegate'] = 'Delegados';
 $LANG['user.kolabhomeserver'] = 'Servidor de e-mail';
+$LANG['user.kolabinvitationpolicy'] = '';
 $LANG['user.l'] = 'Cidade, Região';
 $LANG['user.list'] = 'Lista de usuários';
+$LANG['user.loginshell'] = '';
 $LANG['user.mail'] = 'Endereço de email principal';
 $LANG['user.mailalternateaddress'] = 'Endereço(s) de e-mail externo';
+$LANG['user.mailforwardingaddress'] = '';
 $LANG['user.mailhost'] = 'E-mail do servidor';
+$LANG['user.mailquota'] = '';
 $LANG['user.mailquota.desc'] = 'Deixar em branco sem nenhum tempo determinado.';
 $LANG['user.mobile'] = 'Número do telefone móvel';
 $LANG['user.name'] = 'Nome';
@@ -217,6 +426,7 @@
 $LANG['user.postalcode'] = 'Código postal';
 $LANG['user.postbox'] = 'Caixa postal';
 $LANG['user.postcode'] = 'Código postal';
+$LANG['user.preferredlanguage'] = '';
 $LANG['user.room'] = 'Número do quarto';
 $LANG['user.sn'] = 'Sobrenome';
 $LANG['user.street'] = 'Rua';
@@ -228,5 +438,7 @@
 $LANG['user.userpassword'] = 'Senha';
 $LANG['user.userpassword2'] = 'Confirmar senha';
 $LANG['user.uidnumber'] = 'ID do usuário';
+
 $LANG['welcome'] = 'Bem-vindo à manutenção do  servidor Kolab Groupware ';
+
 $LANG['yes'] = 'sim';
